### Constructor

# Gtk MediaFile new_for_filename

#### Declaration [src]

    GtkMediaStream*
    gtk_media_file_new_for_filename (
      const char* filename
    )

#### Description [src]

Creates a new media file for the given filename.

This is a utility function that converts the given `filename` to a `GFile` and calls `gtk_media_file_new_for_file()`.

#### Parameters

`filename`

  Type: `const char*`

  Filename to open.

  The data is owned by the caller of the function.
  The value is a file system path, using the OS encoding.

#### Return value

Type: `GtkMediaFile`

A new `GtkMediaFile` playing `filename`.

The caller of the function takes ownership of the data, and is responsible for freeing it.